Package edu.wisc.game.sql

## Class PropertiesTable

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<String,​ImageObject>
    - - edu.wisc.game.sql.PropertiesTable

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<String,​ImageObject>`

      public class PropertiesTable
      extends HashMap<String,​ImageObject>

  This is an auxiliary class, used to read the entire content of a properties file, and to create ImageObject objects for all image files in the directory.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertiesTable​(File dir)` | Reads a properties file.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getErrmsg()` |
    `boolean` | `getError()` |
    `String` | `getPath()` |
    `void` | `setErrmsg​(String _errmsg)` |
    `void` | `setError​(boolean _error)` |
    `void` | `setPath​(String _path)` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### PropertiesTable

          public PropertiesTable​(File dir)

      Reads a properties file.

  - ### Method Detail

    - #### getError

          public boolean getError()

    - #### setError

          public void setError​(boolean _error)

    - #### getErrmsg

          public String getErrmsg()

    - #### setErrmsg

          public void setErrmsg​(String _errmsg)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath​(String _path)